﻿.index-activity-box{
    width: 100%;
    display: block;
    position: relative;
    box-sizing: border-box;
    padding-top: 75px;
    margin-top: 75px;
    overflow: hidden;
}
.index-activity-bc{
    width: 1360px;
    height: 745px;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    background-color: #faf0d0;
}
.index-activity-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
}
.index-activity-title-ch{
    font-size: 24px;
    color: #000;
    letter-spacing: 0.1em;
    display: block;
    text-align: center;
    font-family: "Noto Serif TC";
    font-weight: 600;
    margin-bottom: 10px;
}
.index-activity-title-en{
    font-size: 20px;
    color: #3f3437;
    letter-spacing: 0.06em;
    display: block;
    text-align: center;
    font-family: "Roboto";
    font-weight: 300;
}
.index-activity-info-box{
    margin-top: 60px;
}
.index-activity-info{
    width: 360px;
    display: inline-block;
    vertical-align: top;
    margin-right: 60px;
}
.index-activity-info:nth-child(3n){
    margin-right: 0;
}
.index-activity-info:nth-child(n + 4){
    margin-top: 50px;
}
.index-activity-info-img-box{
    position: relative;
    display: block;
}
.index-activity-info-img{
    width: 100%;
    height: 300px;
    display: block;
    overflow: hidden;
}
.index-activity-info-date-box{
    width: 75px;
    height: 75px;
    box-sizing: border-box;
    padding: 13px 8px;
    background-color: #3f3437;
    position: absolute;
    bottom: -15px;
    right: -15px;
    transition: all .3s linear;
}
.index-activity-info-year,
.index-activity-info-date{
    font-size: 14px;
    font-family: "roboto";
    font-weight: 300;
    color: #fff;
    letter-spacing: 0.001em;
    line-height: 1.8;
}
.index-activity-info-text-box{
    margin-top: 25px;
}
.index-activity-info-title{
    font-size: 16px;
    display: block;
    font-family: "Noto Serif TC";
    font-weight: 500;
    color: #000;
    letter-spacing: 0.001em;
    transition: all .3s linear;
}
.index-activity-info-text{
    font-size: 14px;
    letter-spacing: 0.001em;
    color: #555;
    line-height: 1.8;
    margin-top: 5px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    transition: all .3s linear;
}

.index-activity-more-box{
    margin-top: 85px;
    text-align: center;
    width: 320px;
    position: relative;
    margin: 0 auto;
    margin-top: 85px;
}
.index-activity-more-box::after{
    content: '';
    width: 0%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #3f3437;
    transition: all .3s linear;
}
.index-activity-more{
    width: 100%;
    line-height: 80px;
    display: inline-block;
    border: 1px solid #000;
    box-sizing: border-box;
    font-size: 20px;
    font-family: "Noto Serif TC";
    font-weight: 500;
    color: #000;
    position: relative;
    z-index: 1;
    transition: all .3s linear;
}
.index-activity-more span{
    width: 25px;
    height: 2px;
    background-color: #000;
    border-radius: 2px;
    display: block;
    position: absolute;
    right: 25px;
    top: calc(50% - 1px);
    transition: all .3s linear;
}
.index-activity-more span::before{
    content: '';
    width: 13px;
    height: 2px;
    background-color: #000;
    border-radius: 2px;
    display: block;
    position: absolute;
    right: -2px;
    top: -4px;
    transform: rotateZ(45deg);
    transition: all .3s linear;
}
.index-activity-more span::after{
    content: '';
    width: 13px;
    height: 2px;
    background-color: #000;
    border-radius: 2px;
    display: block;
    position: absolute;
    right: -2px;
    top: 4px;
    transform: rotateZ(-45deg);
    transition: all .3s linear;
}


.index-activity-info:hover .index-activity-info-date-box{
    bottom: 0;
    right: 0;
    background-color: #a18873;
}
.index-activity-info:hover .index-activity-info-title{
    color: #a18873;
}
.index-activity-info:hover .index-activity-info-text{
    color: #a18873;
}
.index-activity-more-box:hover::after{
    width: 100%;
}
.index-activity-more-box:hover .index-activity-more{
    color: #fff;
    border-color: #3f3437;
}
.index-activity-more-box:hover .index-activity-more span{
    background-color: #fff;
}
.index-activity-more-box:hover .index-activity-more span:before,
.index-activity-more-box:hover .index-activity-more span:after{
    background-color: #fff;
}


@media only screen and (max-width: 1360px){
    .index-activity-bc {
        width: 1000px;
    }
}
@media only screen and (max-width: 1200px){
    .index-activity-bc {
        width: 800px;
        height: 705px;
    }
    .index-activity-all-box{
        width: 1000px;
    }
    .index-activity-info{
        width: 310px;
        margin-right: 35px;
    }
    .index-activity-info-img{
        height: calc((300 / 360) * 310px);
    }
    .index-activity-info-date-box{
        bottom: -10px;
        right: -10px;
    }
}
@media only screen and (max-width: 1000px){
    .index-activity-bc {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
    .index-activity-box{
        padding: 75px 0;
    }
    .index-activity-all-box{
        width: 750px;
    }
    .index-activity-info{
        width: 240px;
        margin-right: 15px;
    }
    .index-activity-info-img{
        height: calc((300 / 360) * 240px);
    }
}
@media only screen and (max-width: 750px){
    .index-activity-box{
        padding: 40px 0;
    }
    .index-activity-all-box{
        width: 550px;
    }
    .index-activity-info:nth-child(n){
        width: 400px;
        margin: 0 auto;
        display: block;
        margin-bottom: 20px;
    }
    .index-activity-info:last-child{
        margin-bottom: 0;
    }
    .index-activity-info-text-box{
        margin-top: 10px;
    }
    .index-activity-info-img{
        height: calc((300 / 360) * 400px);
    }
    .index-activity-more-box{
        margin-top: 45px;
    }
    .index-activity-title-ch{
        font-size: 20px;
    }
    .index-activity-title-en{
        font-size: 16px;
    }
}
@media only screen and (max-width: 550px){
    .index-activity-title-ch{
        font-size: 18px;
        margin-bottom: 0;
    }
    .index-activity-title-en{
        font-size: 14px;
    }
    .index-activity-box{
        padding: 20px 0;
    }
    .index-activity-all-box{
        width: 300px;
    }
    .index-activity-info:nth-child(n){
        width: 100%;
        margin: 0 auto;
        display: block;
        margin-bottom: 10px;
    }
    .index-activity-info:last-child{
        margin-bottom: 0;
    }
    .index-activity-info-text-box{
        margin-top: 5px;
    }
    .index-activity-info-img{
        height: calc((300 / 360) * 300px);
    }
    .index-activity-info-title{
        font-size: 14px;
    }
    .index-activity-info-text{
        font-size: 12px;
        margin-top: 0;
    }
    .index-activity-info-year, .index-activity-info-date{
        font-size: 12px;
    }
    .index-activity-info-date-box {
        width: 65px;
        height: 55px;
        padding: 8px;
        bottom: 0;
        right: 0;
    }
    .index-activity-more-box{
        width: 200px;
        margin-top: 25px;
    }
    .index-activity-more{
        line-height: 40px;
        font-size: 16px;
    }
    .index-activity-more span {
        width: 15px;
    }
    .index-activity-more span::before{
        width: 8px;
        top: -2px;
    }
    .index-activity-more span::after {
        width: 8px;
        top: 2px;
    }
    .index-activity-info-box{
        margin-top: 20px;
    }
}




/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .index-activity-bc,
    .index-activity-info,
    .index-activity-title-ch,
    .index-activity-title-en,
    .index-activity-more{
        opacity: 0;
    }
    
    .index-activity-title-box.anima .index-activity-title-ch{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .index-activity-title-box.anima .index-activity-title-en{
        animation: fadeInUp 1s ease 0s 1 both;
    }
	.index-activity-box.anima .index-activity-bc{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
	.index-activity-box.anima .index-activity-title-ch{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
	.index-activity-box.anima .index-activity-title-en{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
	.index-activity-box.anima .index-activity-info{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .index-activity-more-box.anima .index-activity-more{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
}

